export default defineAppConfig({
  pages: [
    'pages/home/index',
    'pages/login/index',
    'pages/index3/index',
    'pages/index4/index',
    'pages/index5/index',
    'pages/issue/add/index',
    'pages/reporting/index',
    'pages/reporting/detail/index',
    'pages/reset-password/index',
  ],
  tabBar: {
    list: [
      {
        pagePath: "pages/home/index",
        text: "首页",
        iconPath: "/assets/tabbar/page.png",
        selectedIconPath: "/assets/tabbar/page click.png"
      },
      {
        pagePath: "pages/reporting/index",
        text: "公告",
        iconPath: "/assets/tabbar/notice.png",
        selectedIconPath: "/assets/tabbar/notice click.png"
      },
      {
        pagePath: "pages/index3/index",
        text: "发布",
        iconPath: "/assets/tabbar/release.png",
        selectedIconPath: "/assets/tabbar/release click.png"
      },
      {
        pagePath: "pages/index4/index",
        text: "测评标准",
        iconPath: "/assets/tabbar/evaluation.png",
        selectedIconPath: "/assets/tabbar/evaluation click.png"
      },
      {
        pagePath: "pages/index5/index",
        text: "我的",
        iconPath: "/assets/tabbar/my.png",
        selectedIconPath: "/assets/tabbar/my click.png"
      },
    ],
  },
  window: {
    // backgroundColor: '#1A7565',
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#1A7565',
    navigationBarTitleText: '文明创城',
    navigationBarTextStyle: 'white'
  },
  permission: {
    "scope.userLocation": {
      desc: "你的位置信息将用于定位点位" // 高速公路行驶持续后台定位
    }
  },
  requiredPrivateInfos: [
    'getLocation'
  ],
  setting: {
    urlCheck: false,
  }
})
